
From: Dmitry Torokhov <dtor_core@ameritech.net>

Remove Synaptics config option.  Since mousedev was fixed with regard to
touchpads generating absolute events there should no troubles for users
migrating from older kernel or different hardware so we can have it always
compiled in.



 drivers/input/mouse/Kconfig        |   23 +++++++----------------
 drivers/input/mouse/psmouse-base.c |   12 ++++++------
 2 files changed, 13 insertions(+), 22 deletions(-)

diff -puN drivers/input/mouse/Kconfig~input-07-remove-synaptics-config-option drivers/input/mouse/Kconfig
--- 25/drivers/input/mouse/Kconfig~input-07-remove-synaptics-config-option	2003-12-17 00:22:15.000000000 -0800
+++ 25-akpm/drivers/input/mouse/Kconfig	2003-12-17 00:23:24.000000000 -0800
@@ -23,27 +23,18 @@ config MOUSE_PS2
 	  mice with wheels and extra buttons, Microsoft, Logitech or Genius
 	  compatible.
 
+	  Synaptics TouchPad users might be interested in a specialized
+	  XFree86 driver at:
+		http://w1.894.telia.com/~u89404340/touchpad/index.html
+	  and a new verion of GPM at:
+		http://www.geocities.com/dt_or/gpm/gpm.html
+	  to take advantage of the advanced features of the touchpad.
+
 	  If unsure, say Y.
 
 	  To compile this driver as a module, choose M here: the
 	  module will be called psmouse.
 
-config MOUSE_PS2_SYNAPTICS
-	bool "Synaptics TouchPad"
-	default n
-	depends on INPUT && INPUT_MOUSE && MOUSE_PS2
-	---help---
-	  Say Y here if you have a Synaptics TouchPad connected to your system.
-	  This touchpad is found on many modern laptop computers.
-
-	  Note that you also need a user space driver to interpret the data
-	  generated by the kernel. A compatible driver for XFree86 is available
-	  from http://w1.894.telia.com/~u89404340/touchpad/index.html
-
-	  The gpm program is not yet able to interpret the data from this
-	  driver, so if you need to use the touchpad in the console, you have to
-	  say N for now.
-
 config MOUSE_SERIAL
 	tristate "Serial mouse"
 	depends on INPUT && INPUT_MOUSE
diff -puN drivers/input/mouse/psmouse-base.c~input-07-remove-synaptics-config-option drivers/input/mouse/psmouse-base.c
--- 25/drivers/input/mouse/psmouse-base.c~input-07-remove-synaptics-config-option	2003-12-17 00:22:15.000000000 -0800
+++ 25-akpm/drivers/input/mouse/psmouse-base.c	2003-12-17 00:22:15.000000000 -0800
@@ -337,13 +337,12 @@ static int psmouse_extensions(struct psm
 		psmouse->vendor = "Synaptics";
 		psmouse->name = "TouchPad";
 
-#if CONFIG_MOUSE_PS2_SYNAPTICS
-		if (psmouse_max_proto > PSMOUSE_IMEX && synaptics_init(psmouse) == 0)
+		if (psmouse_max_proto > PSMOUSE_IMEX &&
+					synaptics_init(psmouse) == 0)
 			return PSMOUSE_SYNAPTICS;
-#endif
 		/*
-		 * Synaptics hardware (according to Peter Berg Larsen) can get confused
-		 * by protocol probes below so we have to stop here
+		 * Synaptics hardware (according to Peter Berg Larsen) can get
+		 * confused by protocol probes below so we have to stop here
 		 */
 		return PSMOUSE_PS2;
 	}
@@ -367,7 +366,8 @@ static int psmouse_extensions(struct psm
 	if (psmouse_max_proto >= PSMOUSE_IMPS && intellimouse_detect(psmouse)) {
 		set_bit(REL_WHEEL, psmouse->dev.relbit);
 
-		if (psmouse_max_proto >= PSMOUSE_IMEX && im_explorer_detect(psmouse)) {
+		if (psmouse_max_proto >= PSMOUSE_IMEX &&
+					im_explorer_detect(psmouse)) {
 			set_bit(BTN_SIDE, psmouse->dev.keybit);
 			set_bit(BTN_EXTRA, psmouse->dev.keybit);
 

_
